[project]
name = "easynn"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "ipykernel>=7.0.1",
    "matplotlib>=3.10.7",
    "mypy>=1.18.2",
    "numpy>=2.3.4",
    "pandas>=2.3.3",
    "project1",
    "pytest>=8.4.2",
    "ruff>=0.14.1",
    "scikit-learn>=1.7.2",
    "scikit-learn-stubs>=0.0.3",
    "seaborn>=0.13.2",
    "tqdm>=4.67.1",
]



[build-system]
requires = ["uv_build>=0.9.5,<0.10.0"]
build-backend = "uv_build"

[tool.uv.sources]
project1 = { path = "../project1" }
